package com.bizzan.bitrade.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import com.bizzan.bitrade.dao.AgentDailyInfoDao;
import com.bizzan.bitrade.entity.AgentDailyInfo;
import com.querydsl.core.types.Predicate;

@Service
public class AgentDailyInfoService {

	@Autowired
	private AgentDailyInfoDao dao;
	
	public AgentDailyInfo findOne(Long id) {
		return dao.findOne(id);
	}
	
	public void save(AgentDailyInfo agentInfo) {
		dao.save(agentInfo);
	}
	
	public Page<AgentDailyInfo> findAll(Predicate predicate, Pageable pageable) {
        return dao.findAll(predicate, pageable);
    }
}
